Subject: Re: bug#50214: 28.0.50; cl-struct changes may affect user packages in the wild

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 26 Aug 2021 21:37:03 +0200

Adam Porter <[email-masked]> writes:

> A helpful user of my ts.el package discovered a change in Emacs 28
> that breaks it:
>
> https://github.com/alphapapa/ts.el/issues/18
>
> Specifically, this commit changes the internal struct constructor from
> a plist to an alist:

[...]

> I don't know if this is something you'd want to reconsider.  I guess
> there was a good reason for the changes being made.  And maybe what
> ts.el is doing is considered unsupported, which would seem like a
> not-unreasonable position.

I'm not very familiar with the internals of cl-struct, but if I
understand correctly, I think this is...  well...  an internal thing
that package writers should expect to change, so they shouldn't rely on
things like this.

But I've added Stefan to the CCs; perhaps he has some comments.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no